Main Page Modules Data Structures File List Data Fields Globals Related Pages

# rpmqv.c File Reference

`#include "system.h"`
`#include <rpmcli.h>`
`#include <rpmbuild.h>`
`#include "rpmdb.h"`
`#include "rpmps.h"`
`#include "rpmts.h"`
`#include "debug.h"`

Go to the source code of this file.

## Defines
#define | _AUTOHELP
#define | MODES_QV (MODE_QUERY | MODE_VERIFY)
#define | MODES_IE (MODE_INSTALL | MODE_ERASE)
#define | MODES_BT (MODE_BUILD | MODE_TARBUILD | MODE_REBUILD | MODE_RECOMPILE)
#define | MODES_K (MODE_CHECKSIG | MODE_RESIGN)
#define | MODES_DB (MODE_INITDB | MODE_REBUILDDB | MODE_VERIFYDB)
#define | MODES_FOR_DBPATH (MODES_BT | MODES_IE | MODES_QV | MODES_DB)
#define | MODES_FOR_NODEPS (MODES_BT | MODES_IE | MODE_VERIFY)
#define | MODES_FOR_TEST (MODES_BT | MODES_IE)
#define | MODES_FOR_ROOT (MODES_BT | MODES_IE | MODES_QV | MODES_DB | MODES_K)
## Enumerations
enum | modes { MODE_QUERY = (1 << 0), MODE_VERIFY = (1 << 3), MODE_INSTALL = (1 << 1), MODE_ERASE = (1 << 2), MODE_BUILD = (1 << 4), MODE_REBUILD = (1 << 5), MODE_RECOMPILE = (1 << 8), MODE_TARBUILD = (1 << 11), MODE_CHECKSIG = (1 << 6), MODE_RESIGN = (1 << 7), MODE_INITDB = (1 << 10), MODE_REBUILDDB = (1 << 12), MODE_VERIFYDB = (1 << 13), MODE_UNKNOWN = 0 }
## Functions
void | argerror (const char *desc)
void | printVersion (FILE *fp)
| Display rpm version. More...
void | printBanner (FILE *fp)
void | printUsage (poptContext con, FILE *fp, int flags)
int | main (int argc, const char **argv, char **envp)
## Variables
poptOption | optionsTable []

## Define Documentation

#define _AUTOHELP

| Definition at line 3 of file rpmqv.c.

#define MODES_BT (MODE_BUILD | MODE_TARBUILD | MODE_REBUILD | MODE_RECOMPILE)

#define MODES_DB (MODE_INITDB | MODE_REBUILDDB | MODE_VERIFYDB)

#define MODES_FOR_DBPATH (MODES_BT | MODES_IE | MODES_QV | MODES_DB)

| Definition at line 61 of file rpmqv.c.

#define MODES_FOR_NODEPS (MODES_BT | MODES_IE | MODE_VERIFY)

| Definition at line 62 of file rpmqv.c. Referenced by main.

#define MODES_FOR_ROOT (MODES_BT | MODES_IE | MODES_QV | MODES_DB | MODES_K)

| Definition at line 64 of file rpmqv.c. Referenced by main.

#define MODES_FOR_TEST (MODES_BT | MODES_IE)

| Definition at line 63 of file rpmqv.c. Referenced by main.

#define MODES_IE (MODE_INSTALL | MODE_ERASE)

#define MODES_K (MODE_CHECKSIG | MODE_RESIGN)

#define MODES_QV (MODE_QUERY | MODE_VERIFY)

## Enumeration Type Documentation

enum modes

  | Enumeration values:
  MODE_QUERY |
  MODE_VERIFY |
  MODE_INSTALL |
  MODE_ERASE |
  MODE_BUILD |
  MODE_REBUILD |
  MODE_RECOMPILE |
  MODE_TARBUILD |
  MODE_CHECKSIG |
  MODE_RESIGN |
  MODE_INITDB |
  MODE_REBUILDDB |
  MODE_VERIFYDB |
  MODE_UNKNOWN |
Definition at line 32 of file rpmqv.c. Referenced by main.

## Function Documentation

void argerror | ( | const char * | desc | ) | `[static]`

| Definition at line 117 of file rpmqv.c. References _, __progname, and EXIT_FAILURE.

int main | ( | int | argc,
|  | const char ** | argv,
|  | char ** | envp
| ) |

| Definition at line 157 of file rpmqv.c. References _, __progname, _free, _noTransScripts, _noTransTriggers, argerror, bindtextdomain, build, environ, EXIT_FAILURE, freeFilesystems, freeNames, LIBRPMALIAS_FILENAME, LOCALEDIR, MODE_BUILD, MODE_CHECKSIG, MODE_ERASE, MODE_INITDB, MODE_INSTALL, MODE_QUERY, MODE_REBUILD, MODE_REBUILDDB, MODE_RECOMPILE, MODE_RESIGN, MODE_TARBUILD, MODE_UNKNOWN, MODE_VERIFY, MODE_VERIFYDB, modes, MODES_FOR_NODEPS, MODES_FOR_ROOT, MODES_FOR_TEST, optionsTable, poptBadOption, poptFreeContext, poptGetArg, poptGetArgs, poptGetContext, poptGetNextOpt, poptGetOptArg, poptPeekArg, poptReadConfigFile, poptReadDefaultConfig, poptSetExecPath, poptStrerror, printUsage, rpmBTArgs, RPMBUILD_BUILD, RPMBUILD_CLEAN, RPMBUILD_FILECHECK, RPMBUILD_INSTALL, RPMBUILD_PACKAGEBINARY, RPMBUILD_PACKAGESOURCE, RPMBUILD_PREP, RPMBUILD_RMBUILD, RPMBUILD_RMSOURCE, RPMBUILD_RMSPEC, rpmcliConfigured, rpmcliPipeOutput, rpmcliQuery, rpmcliRcfile, rpmcliRootDir, rpmcliSign, rpmcliVerify, RPMCONFIGDIR, rpmDBArgs, rpmDetectPGPVersion, rpmErase, rpmExpandNumeric, rpmFreeMacros, rpmFreeRpmrc, rpmGetPassPhrase, rpmIArgs, rpmInstall, rpmInstallSource, RPMLOOKUPSIG_DISABLE, RPMLOOKUPSIG_QUERY, rpmLookupSignatureType, RPMPROB_FILTER_DISKNODES, RPMPROB_FILTER_DISKSPACE, RPMPROB_FILTER_FORCERELOCATE, RPMPROB_FILTER_IGNOREARCH, RPMPROB_FILTER_IGNOREOS, RPMPROB_FILTER_OLDPACKAGE, RPMPROB_FILTER_REPLACENEWFILES, RPMPROB_FILTER_REPLACEOLDFILES, RPMPROB_FILTER_REPLACEPKG, rpmQVKArgs, rpmReadConfigFiles, rpmRollback, RPMTRANS_FLAG_ALLFILES, RPMTRANS_FLAG_JUSTDB, RPMTRANS_FLAG_NODOCS, RPMTRANS_FLAG_NOMD5, RPMTRANS_FLAG_NOSCRIPTS, RPMTRANS_FLAG_NOTRIGGERS, RPMTRANS_FLAG_TEST, rpmts, rpmtsCreate, rpmtsFree, rpmtsInitDB, rpmtsRebuildDB, rpmtsSetRootDir, rpmtsSetVSFlags, rpmtsVerifyDB, rpmVSFlags, setlocale, setprogname, textdomain, URL_IS_UNKNOWN, urlFreeCache, urlIsURL, xmalloc, xrealloc, and xstrdup.

void printBanner | ( | FILE * | fp | ) | `[static]`

| Definition at line 132 of file rpmqv.c. References _. Referenced by printUsage.

void printUsage | ( | poptContext | con,
|  | FILE * | fp,
|  | int | flags
| ) | `[static]`

| Definition at line 140 of file rpmqv.c. References poptPrintHelp, poptPrintUsage, printBanner, and printVersion. Referenced by main.

void printVersion | ( | FILE * | fp | ) | `[static]`

| Display rpm version. Definition at line 125 of file rpmqv.c. References _.

## Variable Documentation

struct poptOption optionsTable[]`[static]`

| Definition at line 68 of file rpmqv.c. Referenced by main.